### Method

# Vips Image get_array_int

#### Declaration [src]

    int
    vips_image_get_array_int (
      VipsImage* image,
      const char* name,
      int** out,
      int* n
    )

#### Description [src]

Gets `out` from `im` under the name `name`. The field must be of type `VIPS_TYPE_ARRAY_INT`.

Do not free `out`. `out` is valid as long as `image` is valid.

Use `vips_image_get_typeof()` to test for the existence of a piece of metadata.

See also

`vips_image_get()`, `vips_image_set_image()`.

#### Parameters

`name`

  Type: `const char*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out`

  Type: An array of `int*`

  Return pointer to array.

  The argument will be set by the function.
  The length of the array is specified in the `n` argument.
  The returned data is owned by the instance.

`n`

  Type: `int*`

  Return the number of elements here, optionally.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `int`

0 on success, -1 otherwise.